Subject: bug#72019: [PATCH] Add project argument to project-kill-buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jul 2024 22:00:33 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 10 Jul 2024 14:30:02 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I don't need this to be on the release branch.  I'd prefer to add the
> >> argument and just keep this on master.
> >
> > Why do you prefer to add an argument?
> 
> Because it is also nicer to explicitly indicate what project the Lisp
> program is operating on.  Going through project-current means there are
> a number of possible bugs.  Lisp programs should pass in the project
> instance; this is preferred for new project.el-using code.

If this is the current trend in project.el development, then I have no
objections to it.  I find it a bit surprising that the original
motivation for this was something completely different, though.